Skip to main content
GET
GET /registry/metadata/v1/instruments/:instrumentId

Path Parameters

instrumentId
string
required

Response

ok

id
string
required

The unique identifier assigned by the admin to the instrument.

name
string
required

The display name for the instrument recommended by the instrument admin. This is not necessarily unique.

symbol
string
required

The symbol for the instrument recommended by the instrument admin. This is not necessarily unique.

decimals
integer<int8>
default:10
required

The number of decimal places used by the instrument.

Must be a number between 0 and 10, as the Daml interfaces represent holding amounts as Decimal values, which use 10 decimal places and are precise for 38 digits. Setting this to 0 means that the instrument can only be held in whole units.

This number SHOULD be used for display purposes in a wallet to decide how many decimal places to show and accept when displaying or entering amounts.

supportedApis
object
required

Map from token standard API name to the minor version of the API supported, e.g., splice-api-token-metadata-v1 -> 1 where the 1 corresponds to the minor version.

totalSupply
string

Decimal encoded current total supply of the instrument.

totalSupplyAsOf
string<date-time>

The timestamp when the total supply was last computed.

paused
boolean
default:false

Indicates whether the instrument is currently paused. A paused instrument cannot be transferred or allocated.

pauseInfo
object

Additional information about the instrument pause state.

showAccountInputFields
boolean
default:false
deprecated

Informs wallets whether the instrument supports non-basic accounts and the wallet should thus show input fields for both the account provider and the account id in input forms for transfers and allocations.

Note that wallets should always show non-null account providers and account ids when displaying transfers and allocations.

This property is deprecated in favor of the more fine-grained accountInputFieldsToShow property.

accountInputFieldsToShow
enum<string>[]

Fine-grained control for account input field display in wallets.

If set, then wallets should only display the specified input field(s) in transfer and allocation input forms independently of the showAccountInputFields property.

Note that wallets should always show non-null account providers and account ids when displaying transfers and allocations.

Which single account input field wallets should show in forms.

Available options:
provider,
accountId